#define __python /usr/bin/python26
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname Beaver

Name:           python-%{srcname}
Version:        33.3.0
Release:        1%{?dist}
Summary:        python daemon that munches on logs and sends their contents to logstash

Group:          Development/Languages
License:        MIT
URL:		https://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/B/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:	beaver.systemd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:	chkconfig

%if 0%{?rhel} < 7
Requires:	python-argparse >= 1.2.0
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
%else
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
%endif
Requires:	python-conf_d >= 0.0.4
Requires:	python-glob2 = 0.3
Requires:	python-redis >= 2.7.5
Requires:	python-msgpack >= 0.1.3
Requires:	python-daemon >= 1.5.2, python-daemon <= 1.6.1
Requires:	python-boto >= 2.18.0
# the following two are not really required for our use case, use with redis and logstash, maybe later
#mosquitto>=1.1
#pika>=0.9.12
#kafka-python>=0.9.3

%description
python daemon that munches on logs and sends their contents to logstash

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?rhel} < 7
mkdir -p %{buildroot}%{_initrddir}
install -m 755 contrib/beaver-el6-init.d ${RPM_BUILD_ROOT}%{_initrddir}/beaver
%else
%{__install} -d -m0755  %{buildroot}%{_unitdir}
install -Dp -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/beaver.service
%endif

%post
%if 0%{?rhel} < 7
/sbin/chkconfig --add beaver
%else
%systemd_post beaver.service
%endif

%preun
if [ $1 = 0 ]; then
%if 0%{?rhel} < 7
   service beaver stop >/dev/null 2>&1
   /sbin/chkconfig --del beaver
%else
   %systemd_preun beaver.service
%endif
fi


%postun
if [ "$1" -ge "1" ]; then
%if 0%{?rhel} < 7
    service beaver condrestart >/dev/null 2>&1 || :
%else
    %systemd_postun_with_restart beaver.service
%endif
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/beaver
%{python_sitelib}/beaver
%{python_sitelib}/%{srcname}*.egg-info
%if 0%{?rhel} < 7
%{_initrddir}/beaver
%else
%{_unitdir}/beaver.service
%endif

%changelog
* Sat Oct 05 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
